GET /api/v2/receipt/recent

Lists receipts (metadata records) for secrets created within the last 30 days. Supports scoping by customer (default), organization, or custom domain. Returns each receipt's state, timestamps, and summary information.

Responses

  • 200 application/json

    Successful response

    Hide response attributes Show response attributes object
    • user_id string
    • shrimp string

      Default value is empty.

    • records array[object] Required
      Hide records attributes Show records attributes object
      • identifier string | null
      • created number Required
      • updated number Required
      • key string | null
      • shortid string Required
      • state string Required

        Values are new, shared, revealed, burned, previewed, expired, or orphaned.

      • custid string | null
      • owner_id string | null
      • shared string | null
      • previewed string | null
      • revealed string | null
      • burned string | null
      • secret_ttl string | number Required

      • receipt_ttl string | null Required
      • lifespan string | null Required
      • secret_shortid string | null
      • secret_identifier string | null
      • recipients array[string] | null | string

      • share_domain string | null
      • has_passphrase boolean | null
      • is_previewed string | null
      • is_revealed string | null
      • is_burned string | null
      • is_destroyed string | null
      • is_expired string | null
      • is_orphaned string | null
      • memo string | null
      • kind string | null

        Any of:

        Values are generate or conceal.

        Value is .

      • received string | null
      • viewed string | null
      • is_viewed string | null
      • is_received string | null
      • show_recipients string | null
    • details object
      Hide details attributes Show details attributes object
      • type string Required
      • scope string | null
      • scope_label string | null
      • since number Required
      • now string Required
      • has_items string | null
      • received array[object]
        Hide received attributes Show received attributes object
        • identifier string | null
        • created number Required
        • updated number Required
        • key string | null
        • shortid string Required
        • state string Required

          Values are new, shared, revealed, burned, previewed, expired, or orphaned.

        • custid string | null
        • owner_id string | null
        • shared string | null
        • previewed string | null
        • revealed string | null
        • burned string | null
        • secret_ttl string | number Required

        • receipt_ttl string | null Required
        • lifespan string | null Required
        • secret_shortid string | null
        • secret_identifier string | null
        • recipients array[string] | null | string

        • share_domain string | null
        • has_passphrase boolean | null
        • is_previewed string | null
        • is_revealed string | null
        • is_burned string | null
        • is_destroyed string | null
        • is_expired string | null
        • is_orphaned string | null
        • memo string | null
        • kind string | null

          Any of:

          Values are generate or conceal.

          Value is .

        • received string | null
        • viewed string | null
        • is_viewed string | null
        • is_received string | null
        • show_recipients string | null
      • notreceived array[object]
        Hide notreceived attributes Show notreceived attributes object
        • identifier string | null
        • created number Required
        • updated number Required
        • key string | null
        • shortid string Required
        • state string Required

          Values are new, shared, revealed, burned, previewed, expired, or orphaned.

        • custid string | null
        • owner_id string | null
        • shared string | null
        • previewed string | null
        • revealed string | null
        • burned string | null
        • secret_ttl string | number Required

        • receipt_ttl string | null Required
        • lifespan string | null Required
        • secret_shortid string | null
        • secret_identifier string | null
        • recipients array[string] | null | string

        • share_domain string | null
        • has_passphrase boolean | null
        • is_previewed string | null
        • is_revealed string | null
        • is_burned string | null
        • is_destroyed string | null
        • is_expired string | null
        • is_orphaned string | null
        • memo string | null
        • kind string | null

          Any of:

          Values are generate or conceal.

          Value is .

        • received string | null
        • viewed string | null
        • is_viewed string | null
        • is_received string | null
        • show_recipients string | null
    • count integer

      Minimum value is -9007199254740991, maximum value is 9007199254740991.

  • 401 application/json

    Unauthorized - Authentication required

    Hide response attributes Show response attributes object
    • error string

      Error type identifier (e.g., "FormError")

    • message string Required

      Human-readable error message

    • field string

      Field that caused the error, if applicable

    • error_id string

      Unique error tracking identifier

  • 403 application/json

    Forbidden - Insufficient permissions

    Hide response attributes Show response attributes object
    • error string

      Error type identifier (e.g., "FormError")

    • message string Required

      Human-readable error message

    • field string

      Field that caused the error, if applicable

    • error_id string

      Unique error tracking identifier

  • 404 application/json

    Not Found - Resource does not exist

    Hide response attributes Show response attributes object
    • error string

      Error type identifier (e.g., "FormError")

    • message string Required

      Human-readable error message

    • field string

      Field that caused the error, if applicable

    • error_id string

      Unique error tracking identifier

  • 500 application/json

    Internal Server Error - Something went wrong

    Hide response attributes Show response attributes object
    • error string

      Error type identifier (e.g., "FormError")

    • message string Required

      Human-readable error message

    • field string

      Field that caused the error, if applicable

    • error_id string

      Unique error tracking identifier

GET /api/v2/receipt/recent
curl \
 --request GET 'https://uk.onetimesecret.com/api/v2/receipt/recent' \
 --user "username:password"
Response examples (200)
{
  "user_id": "string",
  "shrimp": "",
  "records": [
    {
      "identifier": "string",
      "created": 42.0,
      "updated": 42.0,
      "key": "string",
      "shortid": "string",
      "state": "new",
      "custid": "string",
      "owner_id": "string",
      "shared": "string",
      "previewed": "string",
      "revealed": "string",
      "burned": "string",
      "secret_ttl": "string",
      "receipt_ttl": "string",
      "lifespan": "string",
      "secret_shortid": "string",
      "secret_identifier": "string",
      "recipients": [
        "string"
      ],
      "share_domain": "string",
      "has_passphrase": true,
      "is_previewed": "string",
      "is_revealed": "string",
      "is_burned": "string",
      "is_destroyed": "string",
      "is_expired": "string",
      "is_orphaned": "string",
      "memo": "string",
      "kind": "generate",
      "received": "string",
      "viewed": "string",
      "is_viewed": "string",
      "is_received": "string",
      "show_recipients": "string"
    }
  ],
  "details": {
    "type": "string",
    "scope": "string",
    "scope_label": "string",
    "since": 42.0,
    "now": "string",
    "has_items": "string",
    "received": [
      {
        "identifier": "string",
        "created": 42.0,
        "updated": 42.0,
        "key": "string",
        "shortid": "string",
        "state": "new",
        "custid": "string",
        "owner_id": "string",
        "shared": "string",
        "previewed": "string",
        "revealed": "string",
        "burned": "string",
        "secret_ttl": "string",
        "receipt_ttl": "string",
        "lifespan": "string",
        "secret_shortid": "string",
        "secret_identifier": "string",
        "recipients": [
          "string"
        ],
        "share_domain": "string",
        "has_passphrase": true,
        "is_previewed": "string",
        "is_revealed": "string",
        "is_burned": "string",
        "is_destroyed": "string",
        "is_expired": "string",
        "is_orphaned": "string",
        "memo": "string",
        "kind": "generate",
        "received": "string",
        "viewed": "string",
        "is_viewed": "string",
        "is_received": "string",
        "show_recipients": "string"
      }
    ],
    "notreceived": [
      {
        "identifier": "string",
        "created": 42.0,
        "updated": 42.0,
        "key": "string",
        "shortid": "string",
        "state": "new",
        "custid": "string",
        "owner_id": "string",
        "shared": "string",
        "previewed": "string",
        "revealed": "string",
        "burned": "string",
        "secret_ttl": "string",
        "receipt_ttl": "string",
        "lifespan": "string",
        "secret_shortid": "string",
        "secret_identifier": "string",
        "recipients": [
          "string"
        ],
        "share_domain": "string",
        "has_passphrase": true,
        "is_previewed": "string",
        "is_revealed": "string",
        "is_burned": "string",
        "is_destroyed": "string",
        "is_expired": "string",
        "is_orphaned": "string",
        "memo": "string",
        "kind": "generate",
        "received": "string",
        "viewed": "string",
        "is_viewed": "string",
        "is_received": "string",
        "show_recipients": "string"
      }
    ]
  },
  "count": 42
}
Response examples (401)
{
  "error": "string",
  "message": "string",
  "field": "string",
  "error_id": "string"
}
Response examples (403)
{
  "error": "string",
  "message": "string",
  "field": "string",
  "error_id": "string"
}
Response examples (404)
{
  "error": "string",
  "message": "string",
  "field": "string",
  "error_id": "string"
}
Response examples (500)
{
  "error": "string",
  "message": "string",
  "field": "string",
  "error_id": "string"
}